### Method

# Ide CompletionProvider display_proposal

#### Declaration

    void
    ide_completion_provider_display_proposal (
      IdeCompletionProvider* self,
      IdeCompletionListBoxRow* row,
      IdeCompletionContext* context,
      const gchar* typed_text,
      IdeCompletionProposal* proposal
    )

#### Description

Requests that the provider update `row` with values from `proposal`.

The design rational about having this operation part of the `IdeCompletionProvider` interface (as opposed to the `IdeCompletionProposal` interface) is that it allows for some optimizations and code simplification on behalf of completion providers.

Available since: | 3.32

#### Parameters

`row` | `IdeCompletionListBoxRow`
| An `IdeCompletionListBoxRow`.
| The data is owned by the caller of the function.
`context` | `IdeCompletionContext`
| An `IdeCompletionContext`.
| The data is owned by the caller of the function.
`typed_text` | `const gchar*`
| The typed text for the proposal.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`proposal` | `IdeCompletionProposal`
| An `IdeCompletionProposal`.
| The data is owned by the caller of the function.